<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveMultiple Method (KeyValuePair<(Of <(DatabaseEntry, DatabaseEntry>)>), Boolean)
Cursor Class See Also

Move the cursor to the specified key/data pair of the database, and store that key/data pair and as many duplicate data items associated with the given key that can fit in a buffer the size of one database page in CurrentMultiple. The cursor is positioned to a key/data pair if both the key and data match the values provided on the key and data parameters.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public bool MoveMultiple(
    	KeyValuePair<DatabaseEntry, DatabaseEntry> pair,
    	bool exact
    )

Visual Basic (Declaration)

    Public Function MoveMultiple ( _
    	pair As KeyValuePair(Of DatabaseEntry, DatabaseEntry), _
    	exact As Boolean _
    ) As Boolean

Visual C++

    public:
    bool MoveMultiple(
    	KeyValuePair<DatabaseEntry^, DatabaseEntry^> pair,
    	bool exact
    )

#### Parameters

pair
  Type: System.Collections.Generic..::.KeyValuePair<(Of <(DatabaseEntry, DatabaseEntry>)>)
  The key/data pair at which to position the cursor.

exact
  Type: System..::.Boolean
  If true, require the given key and data to match the key and data in the database exactly. If false, position the cursor at the smallest data value which is greater than or equal to the value provided by pair.Value (as determined by the comparison function).

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveMultiple Overload
BerkeleyDB Namespace